Bug 6546 - Batch modification tool should accept a biblionumber
Summary: Batch modification tool should accept a biblionumber
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-30 14:55 UTC by Owen Leonard
Modified: 2013-12-05 20:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-06-30 14:55:12 UTC
It would be nice to be able to edit all the items attached to a biblio by passing the biblionumber to the batch item modification tool. Then we could put a link on the item edit screen to "Batch edit these items."
Comment 1 Nicole C. Engard 2011-06-30 15:13:56 UTC
Don't you mean itemnumber? right now you can upload a file of item numbers to the batch modify tool, but can't do it one by one (like you can with barcodes).
Comment 2 Owen Leonard 2011-06-30 15:15:26 UTC
I mean by biblionumber. Pass biblionumber to the batch item mod page and have it automatically populate the list of items to be modified based on the items attached to the biblio.
Comment 3 Nicole C. Engard 2011-06-30 15:18:18 UTC
Okay, I was thinking that seemed silly, but now that I think about it a bit more it makes sense ;)
Comment 4 Magnus Enger 2013-05-19 12:20:26 UTC
I think this has been solved now. If you are on the detail view in the staff client, you can do "Edit" > "Edit items in batch" and edit all the items attached to the bib record. 

Please reopen if I missed something.